### Class

# Snapd Media

since: 1.45

#### Description [src]

    final class Snapd.Media : GObject.Object
    {
      /* No available fields */
    }

`SnapdMedia` contains media information.

Available since: 1.45

#### Ancestors

- GObject

#### Instance methods

###### snapd_media_get_height

Get the height of the media in pixels or 0 if unknown.

since: 1.45

###### snapd_media_get_media_type

Get the type for this media, e.g. “icon” or “screenshot”.

since: 1.45

###### snapd_media_get_url

Get the URL for this media, e.g. “http://example.com/media.png”.

since: 1.45

###### snapd_media_get_width

Get the width of the media in pixels or 0 if unknown.

since: 1.45

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Media:height

No description available.

###### Snapd.Media:type

No description available.

###### Snapd.Media:url

No description available.

###### Snapd.Media:width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdMediaClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.